Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Security.CodeAccessPermission System.Security.Permissions.IUnrestrictedPermission

Secures socket connections.

instances control permission to accept connections or initiate socket connections. A socket permission can secure access based on host name or IP address, a port number, and a transport protocol.

The XML encoding of a instance is defined below in EBNF format, in particular the following conventions are used:

All non-literals in the grammar below are shown in normal type.

All literals are in bold font.

The following meta-language symbols are used:

'*' represents a meta-language symbol suffixing an expression that can appear zero or more times.

'?' represents a meta-language symbol suffixing an expression that can appear zero or one time.

'+' represents a meta-language symbol suffixing an expression that can appear one or more times.

'(',')' is used to group literals, non-literals or a mixture of literals and non-literals.

'|' denotes an exclusive disjunction between two expressions.

'::= ' denotes a production rule where a left hand non-literal is replaced by a right hand expression containing literals, non-literals or both.

BuildVersion refers to the build version of the shipping CLI. This is a dotted build number such as '2412.0'.

ECMAPubKeyToken ::=

HostName refers to a host name such as www.contoso.com .

Portnumber denotes a value indicating a port.

TransportProtocol ::= | | /*1= UDP , 2 = TCP, 3 = both */

SocketPermissionXML::=

BuildVersion

=ECMAPubKeyToken

(

)

|

>

(

(

HostNamePortNumberTransportProtocol

)+

)

|

(

(

HostNamePortNumberTransportProtocol

)+

)

|

- Constructor
  A value.

  Constructs and initializes a new instance of the class with the specified value.

  This constructor creates either fully restricted () or access to sockets.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A value indicating the type of access to secure.
  A value indicating the transport type to secure. Specify to create a permission that secures all transport types.
  A containing the host name for the transport address.
  A containing the port number for the transport address. Specify create a permission that secures all ports.

  Constructs and initializes a new instance of the class.

  No exception is thrown if the specified or is invalid.

  The parameter is .
  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Collections.IEnumerator To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Int32

  Defines a constant value that represents all ports.

  This field is read-only. The value of this field is -1. To be added. 0 1.0.5000.0 2.0.0.0 -1
- Property
  System.Collections.IEnumerator To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Security.IPermission

  Returns a new object containing the same values as the current instance.

  A new containing the same values as the current instance.

  The object returned by this method represents the same level of access as the current instance.

  This method overrides and is implemented to support the interface.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` A instance containing the XML encoding used to reconstruct the state of a object.

  Reconstructs the state of a object using the specified XML encoding.

  The state of the current instance is changed to the state encoded in .

  For the XML schema for this class, see the class page.

  This method overrides .

  is .

  is not a permission element.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.IPermission `` A instance to intersect with the current instance.

  Returns a object that is the intersection of the current instance and the specified object.

  A new instance that represents the intersection of the current instance and . If target is , returns . If the intersection is empty, returns . If the current instance is unrestricted, returns a copy of . If is unrestricted, returns a copy of the current instance.

  The intersection of two permissions is a permission that secures the resources and operations secured by both permissions. Specifically, it represents the minimum permission such that any demand that passes both permissions will also pass their intersection.

  This method overrides and is implemented to support the interface.

  is not of type . 0 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` A instance that is to be tested for the subset relationship.

  Determines whether the current instance is a subset of the specified object.

  if the current instance is a subset of ; otherwise,. If the current instance is unrestricted, and is not, returns . If is unrestricted, returns . If is and the current instance does not secure any resources and is not unrestricted, returns .

  The subset relationship is if every resource secured by the current instance is secured by .

  This method overrides and is implemented to support the interface.

  is not and is not of type .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Security.SecurityElement

  Returns the XML encoding of the current instance.

  A containing the XML encoding of the state of the current instance.

  For the XML schema for this class, see the class page.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.IPermission `` A instance to combine with the current instance.

  Returns a that is the union of the current instance and the specified object.

  A instance that represents the union of the current instance and . If the current instance or is unrestricted, returns a instance that is unrestricted.

  The result of a call to is a permission that represents all of the access to socket connections represented by the current instance as well as the access represented by . Any demand that passes either the current instance or passes their union.

  This method overrides and is implemented to support the interface.

  is . is not of type . 0 1.0.5000.0 2.0.0.0
0